org.modeshape.jcr.cache

## Class NodeNotFoundInParentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.modeshape.jcr.cache.DocumentStoreException
        - - org.modeshape.jcr.cache.DocumentNotFoundException
          - - org.modeshape.jcr.cache.NodeNotFoundException
            - - org.modeshape.jcr.cache.NodeNotFoundInParentException

- All Implemented Interfaces:
    Serializable

      public class NodeNotFoundInParentException
      extends NodeNotFoundException

  An exception signalling that a node does not exist in the specified parent.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeNotFoundInParentException(NodeKey key, NodeKey parentKey)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NodeKey` | `getParentKey()` Get the key for the parent node.

    - ### Methods inherited from class org.modeshape.jcr.cache.NodeNotFoundException

      `getNodeKey, toString`

    - ### Methods inherited from class org.modeshape.jcr.cache.DocumentStoreException

      `getKey`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeNotFoundInParentException

          public NodeNotFoundInParentException(NodeKey key,
                                       NodeKey parentKey)

      Parameters:
        `key` - the key for the node that does not exist
        `parentKey` - the key for the parent node

  - ### Method Detail

    - #### getParentKey

          public NodeKey getParentKey()

      Get the key for the parent node.
      Returns:
        the key for the parent node

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.